Package org.opentcs.components.plantoverview

# Interface VehicleTheme

    public interface VehicleTheme

Provides a vehicle theme.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `label​(Vehicle vehicle)` | Provides a label that describes this vehicle.
  `java.awt.Color` | `labelColor()` | Provides the color to be used for drawing the label.
  `java.awt.Font` | `labelFont()` | Provides the font to be used for drawing the label.
  `int` | `labelOffsetX()` | Provides the vertical offset of the label relative to the center of the vehicle figure.
  `int` | `labelOffsetY()` | Provides the vertical offset of the label relative to the center of the vehicle figure.
  `java.awt.Image` | `statefulImage​(Vehicle vehicle)` | Returns an image for the given vehicle, representing its current state.
  `java.awt.Image` | `statelessImage​(Vehicle vehicle)` | Returns an image for the given vehicle, disregarding its current state.

- ## Method Details

  - ### statelessImage

    java.awt.Image statelessImage​(@Nonnull Vehicle vehicle)
    Returns an image for the given vehicle, disregarding its current state.
    Parameters:
      `vehicle` - The vehicle for which to return the image.
    Returns:
      An image for the given vehicle.

  - ### statefulImage

    java.awt.Image statefulImage​(@Nonnull Vehicle vehicle)
    Returns an image for the given vehicle, representing its current state.
    Parameters:
      `vehicle` - The vehicle for which to return the image.
    Returns:
      An image for the given vehicle.

  - ### label

    java.lang.String label​(Vehicle vehicle)
    Provides a label that describes this vehicle. Usually this is the name of the vehicle or an abbreviation.
    Parameters:
      `vehicle` - The vehicle to provide a label for.
    Returns:
      A label that describes the given vehicle.

  - ### labelOffsetX

    int labelOffsetX()
    Provides the vertical offset of the label relative to the center of the vehicle figure.
    Returns:
      The horizontal offset.

  - ### labelOffsetY

    int labelOffsetY()
    Provides the vertical offset of the label relative to the center of the vehicle figure.
    Returns:
      The vertical offset.

  - ### labelColor

    java.awt.Color labelColor()
    Provides the color to be used for drawing the label.
    Returns:
      The color to be used for drawing the label.

  - ### labelFont

    java.awt.Font labelFont()
    Provides the font to be used for drawing the label.
    Returns:
      The font to be used for drawing the label.